module.exports = {
  "rules": {
    "indent": [ "error", 2, { "SwitchCase": 1 }],
    "linebreak-style": [ "error", "unix" ],
    "quotes": [ "error", "double" ],
    "semi": [ "error", "always" ],
    "semi-spacing": [ "error", { "before": false, "after": true }],
    "semi-style": [ "error", "last" ],
    "curly": [ "error", "multi", "consistent" ],
    "dot-location": [ "error", "property" ],
    "guard-for-in": "error",
    "yoda": "error",
    "dot-location": [ "error", "property" ],
    "computed-property-spacing": [ "error", "always" ],
    "array-bracket-spacing": [ "error", "always", { "arraysInArrays": false, "objectsInArrays": false }],
    "brace-style": "error",
    "comma-dangle": [ "error", "only-multiline" ],
    "keyword-spacing": ["error", { "overrides": {
      "if": { "after": false },
      "for": { "after": false },
      "catch": { "after": false },
      "while": { "after": false },
    }}],
    //"space-in-parens": ["error", "always", { "exceptions": ["empty"] } ],
    "no-trailing-spaces": "error",
    "space-before-blocks": [ "error", { "functions": "never", "keywords": "never", "classes": "always" }],
    "no-lonely-if": "error",
    "no-nested-ternary": "error",
    "no-unneeded-ternary": "error",
    "no-empty": [ "error", { "allowEmptyCatch": true }],
    "no-empty-function": "error",
    "no-console": [ "warn", { "allow": [ "info", "warn", "error" ]}],
    "no-unused-vars": [ "warn", { "args": "none" }],
    "no-unused-expressions": "error",
    "no-else-return": "error",
    /**** es6 ***/
    "arrow-body-style": [ "error", "as-needed" ],
    "arrow-parens": [ "error", "as-needed" ],
    "arrow-spacing": [ "error", { "before": true, "after": true }],
    "no-confusing-arrow": "error",
    "no-duplicate-imports": "error",
    "no-useless-computed-key": "error",
    "no-var": "error",
    "prefer-arrow-callback": "error",
    "prefer-const": "error",
    "prefer-spread": "error",
    "prefer-template": "error",
    "rest-spread-spacing": [ "error", "never" ],
    "template-curly-spacing": [ "error", "always" ],
    /*** !es6 ***/
  },
};
